docs for dapper upgrade?

Adam McGreggor adam at amyl.org.uk
Mon Feb 4 19:28:37 UTC 2008


On Mon, Feb 04, 2008 at 12:41:17PM -0500, Scott Kitterman wrote:
> On Monday 04 February 2008 11:43, Mathias Gug wrote:
> 
> > I'd mention that although dist-upgrade is available, it shouldn't be
> > used. We've seen some request on #ubuntu-server about fixing a
> > dist-upgrade failure. The basic answer is to use do-release-upgrade
> > instead of dist-upgrade.
> 
> JFTR, I did Dapper -> Edgy -> Feisty -> Gutsy over the weekend on a Kubuntu 
> box using dist-upgrade.  Dapper --> Edgy took some manual installing of 
> packages to get through and Edgy --> Feisty and Feisty --> Gutsy just worked.
> 
> I'd suggest that while dist-upgrade isn't the official way, it generally works 
> and to the extent it doesn't it's because of packaging problems we ought to 
> investigate and try to fix.

Although, in most cases, they're fairly easy to sort out/remedy, ime.

(from the sed and apt school of upgraders)




More information about the ubuntu-server mailing list